package sun.java2d.pipe;

import java.awt.Rectangle;
import java.awt.Shape;
import sun.java2d.SunGraphics2D;

public interface CompositePipe
{
    public abstract Object startSequence(SunGraphics2D p0, Shape p1, Rectangle p2, int[] p3);
    
    public abstract boolean needTile(Object p0, int p1, int p2, int p3, int p4);
    
    public abstract void renderPathTile(Object p0, byte[] p1, int p2, int p3, int p4, int p5, int p6, int p7);
    
    public abstract void skipTile(Object p0, int p1, int p2);
    
    public abstract void endSequence(Object p0);
}
